/* ------------------------------------------------------------------------------------------- */
/* Main */
.codsts {    
    width: 100%;
    height: 100%;
}

.codsts_out {
    margin: 10px;
    width: calc(100% - 20px);
    height: 95%;
}

/* ------------------------------------------------------------------------------------------- */
/* Header */
.codsts_head {
    margin: 10px;

    width: calc(100% - 20px);
    height: 50px;

    background-color: var(--color-back-box1);

    border: 1px solid var(--color-bord1);
    border-radius: 5px;
}

.codsts_head_grd1 {
    display: grid;
    grid-template-columns: 
        10px 80px 10px   /* Refresh */
        35px 10px        /* SEL */
        10px
        35px 10px        /* inv */
        10px
        55px 10px        /* PROC */
        10px
        70px 10px        /* stand-by */
        10px
        ;

    column-gap: 10px;
}

#id_excel_codsts {
    margin-top: 10px;
}


/* ------------------------------------------------------------------------------------------- */
/* Main */
.codsts_main {
    margin: 10px;

    width: calc(100% - 20px);
    height: calc(100% - 20px);
}

.codsts_main_grd1 { 
    margin-bottom: 10px;

    /* width: 100%; */

    height: calc(100% - 10px);

    background-color: var(--color-back-box1);

    border: 1px solid var(--color-bord1);
    border-radius: 5px;

    overflow-x: auto; /* 위 아래 모두 있어야 함 */
    overflow-y: auto; /* 위 아래 모두 있어야 함 */
}

.codsts_main_tbl_out {
    margin: 10px;

    width: calc(100% - 20px);
    height: calc(100% - 20px);

    background-color: var(--color-back-box1);

    overflow-x: auto; /* 위 아래 모두 있어야 함 */
    overflow-y: auto; /* 위 아래 모두 있어야 함 */
}

/* .codsts_main_tbl tbody tr td {
    cursor: none;
} */

/* .codsts_main_tbl .con_E {
    cursor: pointer;
} */

/* ---------------------------------------------- */

.codsts_main_tbl thead tr th svg {
    position: absolute;
    
    cursor: pointer;
    fill : var(--color-updown);
    
    width: 10px;
    margin-left: 3px;    

    border: none;
}

.codsts_main_tbl thead tr th .search-input {      
    margin: auto;
    width: 90%;
    font-size: 12px;
    font-weight: 700;

    text-align: left;    
    
    background-color: var(--color-back-search);

    /* padding-left: 14px;     */
    padding-left: 1px;    
    border: none;
    outline: none;
}

.codsts_main_tbl thead tr th input::placeholder {    
    color: var(--color-font-search2);
}

.codsts_main_tbl thead .col_Chk,
.codsts_main_tbl thead .col_No {
    text-align: left;
    padding-left: 5px;
}

.codsts_main_tbl thead .col_YN {
    text-align: center;
}

.codsts_main_tbl thead .sortStr {
    text-align: left;
    padding-left: 7px;
}

.codsts_main_tbl .col_Name {
    width: 150px;
}

.codsts_main_tbl thead tr .col_Chk svg {
    margin-top: 4px;
}

.codsts_main_tbl thead tr .col_Name .search-input,
.codsts_main_tbl thead tr .col_DT .search-input {
    width: 80%;
}

.codsts_main_tbl thead tr .col_Name svg,
.codsts_main_tbl thead tr .col_DT svg {
    margin-top: 7px;
}

.codsts_main_tbl tbody .col_Dept {
    font-size: 9px;
    padding-left: 5px;
}

/* ------------------------------------------------------------------------------------------- */
#id_spn_codsts_exg01 {
    text-align: right;
}

#id_spn_codsts_cost01,
#id_spn_codsts_inve01,
#id_spn_codsts_earn01,
#id_spn_codsts_avg01 {
    text-align: right;
}

.codsts_main_tbl tbody .col_060 {
    text-align: center;
}

.codsts_main_tbl tbody .col_DT_TM {
    font-size: 12px;
}

.codsts_main_tbl tbody .col_DT {
    font-size: 12px;
    font-weight: 700;
}

.codsts_main_tbl tbody .col_YN {
    font-size: 13px;
    font-weight: 900;
}

.codsts_main_tbl tbody .col_logic {
    font-size: 11px;
    font-weight: 700;
}

.codsts_main_tbl tbody .col_INV {
    font-size: 11px;
    font-weight: 700;
    color: var(--color-blue2);
}

.codsts_main_tbl tbody .col_STB {
    font-size: 11px;
    font-weight: 700;
    color: var(--color-blue2);
}

.codsts_main_tbl tbody .col_Proc {
    font-size: 10px;
    font-weight: 700;
}

.codsts_main_tbl tbody .col_SEL {
    color: var(--color-yellow1);
}

#id_spn_codsts_sel01,
#id_spn_codsts_inv01,
#id_spn_codsts_proc01,
#id_spn_codsts_stnd01 {
    text-align: right;
}

#id_spn_codsts_sel02,
#id_spn_codsts_inv02,
#id_spn_codsts_proc02,
#id_spn_codsts_stnd02 {
    text-align: left;
}

#id_spn_codsts_sel02 {
    color: var(--color-yellow1);
}

#id_spn_codsts_inv02 {
    color: var(--color-blue1);
}

#id_spn_codsts_proc02 {
    color: var(--color-red5);
}

#id_spn_codsts_stnd02 {
    color: var(--color-gray3);
}